IndexedDocumentFactory (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.util
Class IndexedDocumentFactory

    java.lang.Object
      org.dom4j.DocumentFactory
          org.dom4j.util.IndexedDocumentFactory

All Implemented Interfaces:
  Serializable

public class IndexedDocumentFactory
extends DocumentFactory

`IndexedDocumentFactory` is a factory of XML objects which create indexed Element implementations to allow quicker lookup via name of Element and Attributes though at the expense of more memory used to create the name indexes.

Version:
  $Revision: 1.9 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary
`protected static IndexedDocumentFactory` | `singleton` The Singleton instance

Fields inherited from class org.dom4j.DocumentFactory
`cache`

Constructor Summary
`IndexedDocumentFactory()`

Method Summary
`Element` | `createElement(QName qname)`
`Element` | `createElement(QName qname, int attributeCount)`
`static DocumentFactory` | `getInstance()` Access to the singleton instance of this factory.

Methods inherited from class org.dom4j.DocumentFactory
`createAttribute, createAttribute, createCDATA, createComment, createDocType, createDocument, createDocument, createDocument, createElement, createElement, createEntity, createNamespace, createPattern, createProcessingInstruction, createProcessingInstruction, createQName, createQName, createQName, createQName, createQNameCache, createSingleton, createText, createXPath, createXPath, createXPathFilter, createXPathFilter, getQNames, getXPathNamespaceURIs, init, intern, setXPathNamespaceURIs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleton

    protected static transient IndexedDocumentFactory singleton

  The Singleton instance

Constructor Detail

### IndexedDocumentFactory

    public IndexedDocumentFactory()

Method Detail

### getInstance

    public static DocumentFactory getInstance()

  Access to the singleton instance of this factory.

  Returns:
    the default singleon instance

### createElement

    public Element createElement(QName qname)

  Overrides:
    `createElement` in class `DocumentFactory`

### createElement

    public Element createElement(QName qname,
                                 int attributeCount)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.